{# title type default #}
{% if title_text %}
    {% if type_page|default(false) %}
        {% set title_container_classes = ['title-page-container']|merge(title_container_classes|default([])) %}
        {% set title_text_classes = ['title-page-text']|merge(title_text_classes|default([])) %}
        {% set title_subtext_classes = ['title-page-subtext']|merge(title_subtext_classes|default([])) %}
        {% set title_markup = title_markup|default('div') %}
    {% else %}
        {% set title_container_classes = ['title-section-container']|merge(title_container_classes|default([])) %}
        {% set title_text_classes = ['title-section-text']|merge(title_text_classes|default([])) %}
        {% set title_subtext_classes = ['title-section-subtext']|merge(title_subtext_classes|default([])) %}
        {% set title_markup = title_markup|default('h2') %}
    {% endif %}


    {% if type_rc|default(false) %}
        {% set title_text_classes = title_text_classes|merge(['title-section-text-rc']) %}
    {% endif %}

    <div class="{{ title_container_classes|join(' ') }}">
        <{{ title_markup }} class="{{ title_text_classes|join(' ') }}">{{ title_text|raw }}</{{ title_markup }}>
        {% if subtitle_text|default(null) %}
        <span class="{{ title_subtext_classes|join(' ') }}">{{ subtitle_text }}</span>
        {% endif %}
    </div>
{% endif %}